banshee r4753 - trunk/banshee/build/osx



Author: abock
Date: Sat Oct 25 07:16:42 2008
New Revision: 4753
URL: http://svn.gnome.org/viewvc/banshee?rev=4753&view=rev

Log:
Finally, we made an OS X release. These scripts must work or something.

Modified:
   trunk/banshee/build/osx/build-deps.sh
   trunk/banshee/build/osx/release.sh

Modified: trunk/banshee/build/osx/build-deps.sh
==============================================================================
--- trunk/banshee/build/osx/build-deps.sh	(original)
+++ trunk/banshee/build/osx/build-deps.sh	Sat Oct 25 07:16:42 2008
@@ -9,7 +9,7 @@
 	echo "No arguments passed and found a profile, so running the profile"
 	echo 
 	/bin/bash ./build-deps.profile
-	exit 1
+	exit $?
 fi
 
 source build.env || exit $?

Modified: trunk/banshee/build/osx/release.sh
==============================================================================
--- trunk/banshee/build/osx/release.sh	(original)
+++ trunk/banshee/build/osx/release.sh	Sat Oct 25 07:16:42 2008
@@ -3,16 +3,6 @@
 pushd $(dirname $0) &>/dev/null
 source build.env || exit $?
 
-if [ ! -d $BUILD_PREFIX ]; then
-	echo "Error: Banshee bundle dependencies do not appear to be built."
-	echo "       please run the build-deps.sh script, and refer to the"
-	echo "       README file for building on Mac OS X."
-	echo
-	echo "       $(dirname $0)/README"
-	echo
-	exit 1
-fi
-
 function bail () {
 	echo "ERROR: Release build failed: $1"
 	exit 1
@@ -35,6 +25,8 @@
 
 tar jxf $TARBALL || bail "Could not extract release tarball"
 
+[[ -d $BUILD_PREFIX ]] || { ./build-deps.sh || bail "Could not build dependencies"; }
+
 pushd $SOURCE_DIR &>/dev/null
 ./configure --prefix=$INSTALL_PREFIX \
 	--disable-mtp \



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]